Subject: Re: UTF-8 in ftp client.
From: Andy Koppe <[email-masked]>
To: [email-masked]
Date: Tue, 6 Apr 2010 18:55:34 +0100
List-Id: <cygwin.cygwin.com>

Oleksandr Gavenko:
> How can I force Cygwin ftp client use UTF-8?
>
> ftp> ls
> 200 Port command successful
> 150 Opening data channel for directory list.
> drwxr-xr-x 1 ftp ftp              0 Oct 16  2009 music
> drwxr-xr-x 1 ftp ftp              0 Sep 11  2009 pub
> drwxr-xr-x 1 ftp ftp              0 Apr 06 09:28 VERSUS. РҐСЂСѓСЃС‚ Р±РµР·
> РїСЂР°РІРёР»
> -r--r--r-- 1 ftp ftp        9994240 Apr 05 13:15 РҐСЂРµРЅСЊ.
> РЎРµРЅСЃР°РЅС†РёРѕРЅРЅС‹Р№ РґРѕРєСѓРјРµРЅС‚Р°Р»СЊРЅС‹Р№ С„РёР»СЊРј.mp4

That looks like UTF-8 interpreted as codepage 1251. I don't think the
traditional ftp client knows anything about different charsets, i.e.
it just writes the UTF-8 bytes coming from the server straight to the
terminal or disk. Therefore you need to use UTF-8 on the Cygwin side
as well to make this work.

Are you using still using Cygwin 1.5 (which doesn't support UTF-8) or
have you got Cygwin 1.7 set up to use CP1251?

> bash# ftp --version
> ftp (GNU inetutils) 1.5
>
> Latest version from http://ftp.gnu.org/gnu/inetutils/ - 1.7

The latest Cygwin inetutils package does contain ftp 1.7 actually.

> So I can use lftp for my purpose.

Good.

Andy